(progn
  (defun booms-count ()
    (interactive)
    (save-excursion
      (goto-char (point-min))
      (if (search-forward-regexp "^=+$" nil t)
        (let (x buf lines pages (lines-total 0) (pages-total 0))
          (end-of-line)
          (forward-line 1)
          (while (and (bolp) (eolp)) (forward-line 1))
          (until (or (eobp) (and (eolp) (bolp)))
            (beginning-of-line)
            (setq x (point))
            (until (or (eq (following-char) ?\ ) (eolp)) (forward-char))
            (setq buf (buffer-substring x (point)))
            (until (eolp) (delete-char 1))
            (while (< (current-column) 20) (insert ?\ ))
            (save-excursion
              (set-buffer buf)
              (setq lines (count-lines (point-min) (point-max))))
            (setq x lines pages 0)
            (while (> x 0)
              (setq x (- x 66))
              (setq pages (1+ pages)))
            (insert (format "%4d  %3d" lines pages))
            (setq lines-total (+ lines-total lines)
                  pages-total (+ pages-total pages))
            (forward-line 1)
            (sit-for 0))
          (insert (format "\n Total lines=%d  pages=%d\n"
                          lines-total pages-total))))))
  (local-set-key '(control ?\`) 'booms-count))

===============================================================================

header                18    1
filelist              41    1
arjbooms.bat           3    1
booms.txt             25    1
b-files.lsp          173    3
_load.lsp             52    1
_compile.lsp          52    1
_run.lsp              54    1
packages.lsp         209    4
network.lsp         1035   16
boomsapp.lsp        1370   21
boomsdoc.lsp         915   14
icons.lsp            870   14
leaves.lsp           235    4
abstract.lsp         743   12
shared-i.lsp         493    8
classpal.lsp         364    6
iconedit.lsp         563    9
coledit.lsp          536    9
saveload.lsp         189    3
music.lsp           1159   18
arith.lsp            528    8
gcalc.lsp            965   15
misc.lsp              98    2
gr-misc.lsp          268    5
geometry.lsp         174    3
constant.lsp         170    3
dialogs.lsp          450    7
bitmaps.lsp          409    7
midi-lib.lsp         207    4
midi-lib.h            65    1
midi-lib.c           370    6
network.exa          141    3

 Total lines=12944  pages=212
